> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all locations

> Replies with a JSON object containing all location's info



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /locations
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /locations:
    get:
      tags:
        - location
      summary: Get all locations
      description: Replies with a JSON object containing all location's info
      parameters:
        - name: include_enterprise
          in: query
          description: Whether to include enterprise locations
          required: false
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: All locations information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationsResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    LocationsResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: integer
            description: Location ID
          info:
            type: object
            properties:
              arabic_name:
                type: string
                description: Location name in Arabic
              english_name:
                type: string
                description: Location name in English
              french_name:
                type: string
                description: Location name in French
              country_code:
                type: string
                description: ISO country code
              country_arabic_name:
                type: string
                description: Country name in Arabic
              country_english_name:
                type: string
                description: Country name in English
              country_french_name:
                type: string
                description: Country name in French
              admin_id:
                type: integer
                description: Administrative region ID
                nullable: true
              admin_arabic_name:
                type: string
                description: Administrative region name in Arabic
                nullable: true
              admin_english_name:
                type: string
                description: Administrative region name in English
                nullable: true
              admin_french_name:
                type: string
                description: Administrative region name in French
                nullable: true
              lat:
                type: number
                description: Latitude
              lng:
                type: number
                description: Longitude
              timezone:
                type: string
                description: Timezone identifier
              elevation:
                type: number
                description: Elevation in meters
      example:
        - id: 103492520
          info:
            arabic_name: ''
            english_name: Tamayo
            french_name: Tamayo
            country_code: do
            country_arabic_name: جمهورية الدومينيكان
            country_english_name: Dominican Republic
            country_french_name: République Dominicaine
            admin_id: null
            admin_arabic_name: null
            admin_english_name: null
            admin_french_name: null
            lat: 18.4
            lng: -71.2
            timezone: America/Santo_Domingo
            elevation: 33

````